#include <iostream>
#include <cstdlib>
#include <vector>
using namespace std;

int main()
{
long long bk,ku,rmax,rmin,max=-1, min=1000000000;
cin>>bk;
cin>>ku;
vector<long long> k(bk);
for(int i=0;i<bk;i++)
{
cin>>k[i];
if(k[i]>max) max=k[i];
if(k[i]<min) min=k[i];
}
rmax=max-ku;
rmin=ku-min;
if(max<ku || min>ku)
	if (rmax<ku) cout<<ku-min;
	else cout<<max-ku;
else if(rmax<rmin) cout<<rmax*2+rmin;
	 else cout<<rmin*2+rmax;
return 0;
}